import { Component, OnInit, ViewChild } from '@angular/core';
import { MappingService } from '../mapping/mapping.service';
import { nl_Map } from './netherlands.data';
import { nl_Townships } from './netherlands-townships.data';
import { MapAjax } from '@syncfusion/ej2-maps';
import { Maps, IShapeSelectedEventArgs, Marker, Legend } from '@syncfusion/ej2-angular-maps';

//PATHS
@Component({
  selector: 'mapping',
  templateUrl: './mapping.component.html',
  styleUrls: ['./mapping.component.css'],
})

//CLASS
export class MappingComponent implements OnInit {
  @ViewChild("maps") maps: Maps;
  width: string;
  defLayer: object;
  defReference: object;
  defCalculate: object;
  references: object[];
  layers: object[];
  types: object[];
   postals: object;
  populationData: object[];
  navigationLineSettings: object[] = [{}];
  zoomSettings: object = { enable: true, zoomFactor: 7 };
  centerPosition: object = {
    latitude: 52.132633052,
    longitude: 5.2912660
  };

  //INJECTION required
  constructor(private _service: MappingService) {
  }

  //FUNCTIONS
  mapLayers: object[] = [
    {
      layerType: 'OSM',
    },
    {
      type: 'SubLayer',
      shapeData: nl_Map,
        
    }

  ]; 


  ngOnInit() {
  
  }
  ngAfterViewInit() {
   
  }
}


